Index: squid/auth_modules/MSNT/std-defines.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/std-defines.h,v
retrieving revision 1.1.1.1.10.1
retrieving revision 1.1.1.1.10.1.2.1
diff -u -r1.1.1.1.10.1 -r1.1.1.1.10.1.2.1
--- squid/auth_modules/MSNT/std-defines.h	12 Jul 2000 22:46:39 -0000	1.1.1.1.10.1
+++ squid/auth_modules/MSNT/std-defines.h	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.1.2.1
@@ -1,27 +1,27 @@
 /* RFCNB Standard includes ... */
 /*
-
-   SMBlib Standard Includes
-
-   Copyright (C) 1996, Richard Sharpe
-*/
+ * 
+ * SMBlib Standard Includes
+ * 
+ * Copyright (C) 1996, Richard Sharpe
+ */
 /* One day we will conditionalize these on OS types ... */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #ifndef _STD_DEFINES_H_
 #define _STD_DEFINES_H_
@@ -42,4 +42,4 @@
 #define TRUE 1
 #define FALSE 0
 
-#endif _STD_DEFINES_H_
+#endif	/* _STD_DEFINES_H_ */
Index: squid/auth_modules/MSNT/std-includes.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/std-includes.h,v
retrieving revision 1.1.1.1.10.1
retrieving revision 1.1.1.1.10.1.2.1
diff -u -r1.1.1.1.10.1 -r1.1.1.1.10.1.2.1
--- squid/auth_modules/MSNT/std-includes.h	12 Jul 2000 22:46:39 -0000	1.1.1.1.10.1
+++ squid/auth_modules/MSNT/std-includes.h	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.1.2.1
@@ -1,27 +1,27 @@
 /* RFCNB Standard includes ... */
 /*
-
-   RFCNB Standard Includes
-
-   Copyright (C) 1996, Richard Sharpe
-*/
+ * 
+ * RFCNB Standard Includes
+ * 
+ * Copyright (C) 1996, Richard Sharpe
+ */
 /* One day we will conditionalize these on OS types ... */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #define BOOL int
 typedef short int16;
Index: squid/auth_modules/MSNT/valid.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/valid.c,v
retrieving revision 1.1.1.1.10.1
retrieving revision 1.1.1.1.10.1.2.1
diff -u -r1.1.1.1.10.1 -r1.1.1.1.10.1.2.1
--- squid/auth_modules/MSNT/valid.c	12 Jul 2000 22:46:39 -0000	1.1.1.1.10.1
+++ squid/auth_modules/MSNT/valid.c	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.1.2.1
@@ -9,36 +9,37 @@
 extern int SMB_Logon_Server(SMB_Handle_Type, char *, char *);
 
 
-int Valid_User(char *USERNAME,char *PASSWORD,char *SERVER,char *BACKUP, char *DOMAIN)
+int 
+Valid_User(char *USERNAME, char *PASSWORD, char *SERVER, char *BACKUP, char *DOMAIN)
 {
-  char *SMB_Prots[] = {"PC NETWORK PROGRAM 1.0",
-			    "MICROSOFT NETWORKS 1.03",
-			    "MICROSOFT NETWORKS 3.0",
-			    "LANMAN1.0",
-			    "LM1.2X002",
-			    "Samba",
-			    "NT LM 0.12",
-			    "NT LANMAN 1.0",
-			    NULL};
-  void *con;
+    char *SMB_Prots[] =
+    {"PC NETWORK PROGRAM 1.0",
+	"MICROSOFT NETWORKS 1.03",
+	"MICROSOFT NETWORKS 3.0",
+	"LANMAN1.0",
+	"LM1.2X002",
+	"Samba",
+	"NT LM 0.12",
+	"NT LANMAN 1.0",
+	NULL};
+    void *con;
 
-  SMB_Init();
-  con = SMB_Connect_Server(NULL, SERVER, DOMAIN);
-  if (con == NULL) { /* Error ... */
-   con = SMB_Connect_Server(NULL, BACKUP, DOMAIN);
-   if (con == NULL) {
-   	return(NTV_SERVER_ERROR);   
-   }
-  }
-  if (SMB_Negotiate(con, SMB_Prots) < 0) { /* An error */
-    SMB_Discon(con,0);
-    return(NTV_PROTOCOL_ERROR);
-  }
-  if (SMB_Logon_Server(con, USERNAME, PASSWORD) < 0) {
-    SMB_Discon(con,0);
-    return(NTV_LOGON_ERROR);
-  }
-  
-  SMB_Discon(con,0);
-  return(NTV_NO_ERROR);
+    SMB_Init();
+    con = SMB_Connect_Server(NULL, SERVER, DOMAIN);
+    if (con == NULL) {		/* Error ... */
+	con = SMB_Connect_Server(NULL, BACKUP, DOMAIN);
+	if (con == NULL) {
+	    return (NTV_SERVER_ERROR);
+	}
+    }
+    if (SMB_Negotiate(con, SMB_Prots) < 0) {	/* An error */
+	SMB_Discon(con, 0);
+	return (NTV_PROTOCOL_ERROR);
+    }
+    if (SMB_Logon_Server(con, USERNAME, PASSWORD) < 0) {
+	SMB_Discon(con, 0);
+	return (NTV_LOGON_ERROR);
+    }
+    SMB_Discon(con, 0);
+    return (NTV_NO_ERROR);
 }
Index: squid/auth_modules/SMB/smb_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/SMB/Attic/smb_auth.c,v
retrieving revision 1.1.1.2.10.1
retrieving revision 1.1.1.2.10.1.2.1
diff -u -r1.1.1.2.10.1 -r1.1.1.2.10.1.2.1
--- squid/auth_modules/SMB/smb_auth.c	17 Aug 2000 15:14:59 -0000	1.1.1.2.10.1
+++ squid/auth_modules/SMB/smb_auth.c	7 Jan 2001 09:48:28 -0000	1.1.1.2.10.1.2.1
@@ -25,16 +25,15 @@
 #define NMB_UNICAST		1
 #define NMB_BROADCAST	2
 
-struct SMBDOMAIN
-{
-	char				*name;			/* domain name */
-	char				*sname;			/* match this with user input */
-	char				*passthrough;	/* pass-through authentication */
-	char				*nmbaddr;		/* name service address */
-	int					nmbcast;		/* broadcast or unicast */
-	char				*authshare;		/* share name of auth file */
-	char				*authfile;		/* pathname of auth file */
-	struct SMBDOMAIN	*next;			/* linked list */
+struct SMBDOMAIN {
+    char *name;			/* domain name */
+    char *sname;		/* match this with user input */
+    char *passthrough;		/* pass-through authentication */
+    char *nmbaddr;		/* name service address */
+    int nmbcast;		/* broadcast or unicast */
+    char *authshare;		/* share name of auth file */
+    char *authfile;		/* pathname of auth file */
+    struct SMBDOMAIN *next;	/* linked list */
 };
 
 struct SMBDOMAIN *firstdom = NULL;
@@ -45,218 +44,189 @@
  * to the read command of the bourne shell.
  */
 
-void print_esc(FILE *p, char *s)
+void 
+print_esc(FILE * p, char *s)
 {
-	char	buf[256];
-	char	*t;
-	int		i = 0;
-
-	for (t = s; *t != '\0'; t++)
-	{
-		if (i > 250)
-		{
-			buf[i] = '\0';
-			(void) fputs(buf, p);
-			i = 0;
-		}
-
-		if (*t == '\\')
-			buf[i++] = '\\';
-
-		buf[i++] = *t;
+    char buf[256];
+    char *t;
+    int i = 0;
+
+    for (t = s; *t != '\0'; t++) {
+	if (i > 250) {
+	    buf[i] = '\0';
+	    (void) fputs(buf, p);
+	    i = 0;
 	}
+	if (*t == '\\')
+	    buf[i++] = '\\';
 
-	if (i > 0)
-	{
-		buf[i] = '\0';
-		(void) fputs(buf, p);
-	}
+	buf[i++] = *t;
+    }
+
+    if (i > 0) {
+	buf[i] = '\0';
+	(void) fputs(buf, p);
+    }
 }
 
-int main(int argc, char *argv[])
+int 
+main(int argc, char *argv[])
 {
-	int					i;
-	char				buf[BUFSIZE];
-	struct SMBDOMAIN	*dom;
-	char				*s;
-	char				*user;
-	char				*pass;
-	char				*domname;
-	FILE				*p;
-	int					debug = 0;
-	char				*shcmd;
-
-	/* make standard output line buffered */
-	if (setvbuf(stdout, NULL, _IOLBF, 0) != 0)
-		return 1;
-
-	/* parse command line arguments */
-	for (i = 1; i < argc; i++)
-	{
-		if (strcmp(argv[i], "-d") == 0)
-		{
-			debug = 1;
-			continue;
-		}
-
-		/* the next options require an argument */
-		if (i + 1 == argc)
-			break;
-
-		if (strcmp(argv[i], "-W") == 0)
-		{
-			if ((dom = (struct SMBDOMAIN *) malloc(sizeof(struct SMBDOMAIN))) == NULL)
-				return 1;
-
-			dom->name = dom->sname = argv[++i];
-			dom->passthrough = "";
-			dom->nmbaddr = "";
-			dom->nmbcast = NMB_BROADCAST;
-			dom->authshare = "NETLOGON";
-			dom->authfile = "proxyauth";
-			dom->next = NULL;
-
-			/* append to linked list */
-			if (lastdom != NULL)
-				lastdom->next = dom;
-			else
-				firstdom = dom;
-
-			lastdom = dom;
-			continue;
-		}
-
-		if (strcmp(argv[i], "-w") == 0)
-		{
-			if (lastdom != NULL)
-				lastdom->sname = argv[++i];
-			continue;
-		}
-
-		if (strcmp(argv[i], "-P") == 0)
-		{
-			if (lastdom != NULL)
-				lastdom->passthrough = argv[++i];
-			continue;
-		}
-
-		if (strcmp(argv[i], "-B") == 0)
-		{
-			if (lastdom != NULL)
-			{
-				lastdom->nmbaddr = argv[++i];
-				lastdom->nmbcast = NMB_BROADCAST;
-			}
-			continue;
-		}
-
-		if (strcmp(argv[i], "-U") == 0)
-		{
-			if (lastdom != NULL)
-			{
-				lastdom->nmbaddr = argv[++i];
-				lastdom->nmbcast = NMB_UNICAST;
-			}
-			continue;
-		}
+    int i;
+    char buf[BUFSIZE];
+    struct SMBDOMAIN *dom;
+    char *s;
+    char *user;
+    char *pass;
+    char *domname;
+    FILE *p;
+    int debug = 0;
+    char *shcmd;
+
+    /* make standard output line buffered */
+    if (setvbuf(stdout, NULL, _IOLBF, 0) != 0)
+	return 1;
+
+    /* parse command line arguments */
+    for (i = 1; i < argc; i++) {
+	if (strcmp(argv[i], "-d") == 0) {
+	    debug = 1;
+	    continue;
+	}
+	/* the next options require an argument */
+	if (i + 1 == argc)
+	    break;
+
+	if (strcmp(argv[i], "-W") == 0) {
+	    if ((dom = (struct SMBDOMAIN *) malloc(sizeof(struct SMBDOMAIN))) == NULL)
+		          return 1;
+
+	    dom->name = dom->sname = argv[++i];
+	    dom->passthrough = "";
+	    dom->nmbaddr = "";
+	    dom->nmbcast = NMB_BROADCAST;
+	    dom->authshare = "NETLOGON";
+	    dom->authfile = "proxyauth";
+	    dom->next = NULL;
+
+	    /* append to linked list */
+	    if (lastdom != NULL)
+		lastdom->next = dom;
+	    else
+		firstdom = dom;
 
-		if (strcmp(argv[i], "-S") == 0)
-		{
-			if (lastdom != NULL)
-			{
-				if ((lastdom->authshare = strdup(argv[++i])) == NULL)
-					return 1;
-
-				/* convert backslashes to forward slashes */
-				for (s = lastdom->authshare; *s != '\0'; s++)
-					if (*s == '\\')
-						*s = '/';
-
-				/* strip leading forward slash from share name */
-				if (*lastdom->authshare == '/')
-					lastdom->authshare++;
-
-				if ((s = strchr(lastdom->authshare, '/')) != NULL)
-  				{
-  					*s = '\0';
-  					lastdom->authfile = s + 1;
-  				}
-			}
-			continue;
+	    lastdom = dom;
+	    continue;
+	}
+	if (strcmp(argv[i], "-w") == 0) {
+	    if (lastdom != NULL)
+		lastdom->sname = argv[++i];
+	    continue;
+	}
+	if (strcmp(argv[i], "-P") == 0) {
+	    if (lastdom != NULL)
+		lastdom->passthrough = argv[++i];
+	    continue;
+	}
+	if (strcmp(argv[i], "-B") == 0) {
+	    if (lastdom != NULL) {
+		lastdom->nmbaddr = argv[++i];
+		lastdom->nmbcast = NMB_BROADCAST;
+	    }
+	    continue;
+	}
+	if (strcmp(argv[i], "-U") == 0) {
+	    if (lastdom != NULL) {
+		lastdom->nmbaddr = argv[++i];
+		lastdom->nmbcast = NMB_UNICAST;
+	    }
+	    continue;
+	}
+	if (strcmp(argv[i], "-S") == 0) {
+	    if (lastdom != NULL) {
+		if ((lastdom->authshare = strdup(argv[++i])) == NULL)
+		    return 1;
+
+		/* convert backslashes to forward slashes */
+		for (s = lastdom->authshare; *s != '\0'; s++)
+		    if (*s == '\\')
+			*s = '/';
+
+		/* strip leading forward slash from share name */
+		if (*lastdom->authshare == '/')
+		    lastdom->authshare++;
+
+		if ((s = strchr(lastdom->authshare, '/')) != NULL) {
+		    *s = '\0';
+		    lastdom->authfile = s + 1;
 		}
+	    }
+	    continue;
 	}
+    }
 
-	shcmd = debug ? HELPERSCRIPT : HELPERSCRIPT " > /dev/null 2>&1";
+    shcmd = debug ? HELPERSCRIPT : HELPERSCRIPT " > /dev/null 2>&1";
 
-	/* pass to helper script */
+    /* pass to helper script */
     if (putenv("SAMBAPREFIX=" SAMBAPREFIX) != 0)
-    	return 1;
-
-	while (1)
-	{
-		if (fgets(buf, BUFSIZE, stdin) == NULL)
-			break;
-
-		if ((s = strchr(buf, '\n')) == NULL)
-			continue;
-		*s = '\0';
-
-		if ((s = strchr(buf, ' ')) == NULL)
-		{
-			(void) printf("ERR\n");
-			continue;
-		}
-		*s = '\0';
+	return 1;
 
-		user = buf;
-		pass = s + 1;
-		domname = NULL;
-
-		if ((s = strchr(user, '\\')) != NULL)
-		{
-			*s = '\0';
-			domname = user;
-			user = s + 1;
-		}
-
-		/* match domname with linked list */
-		if (domname != NULL && strlen(domname) > 0)
-		{
-			for (dom = firstdom; dom != NULL; dom = dom->next)
-				if (strcasecmp(dom->sname, domname) == 0)
-					break;
-		} else
-			dom = firstdom;
-
-		if (dom == NULL)
-		{
-			(void) printf("ERR\n");
-			continue;
-		}
-
-		if ((p = popen(shcmd, "w")) == NULL)
-		{
-			(void) printf("ERR\n");
-			continue;
-		}
+    while (1) {
+	if (fgets(buf, BUFSIZE, stdin) == NULL)
+	    break;
+
+	if ((s = strchr(buf, '\n')) == NULL)
+	    continue;
+	*s = '\0';
+
+	if ((s = strchr(buf, ' ')) == NULL) {
+	    (void) printf("ERR\n");
+	    continue;
+	}
+	*s = '\0';
 
-		(void) fprintf(p, "%s\n", dom->name);
-		(void) fprintf(p, "%s\n", dom->passthrough);
-		(void) fprintf(p, "%s\n", dom->nmbaddr);
-		(void) fprintf(p, "%d\n", dom->nmbcast);
-		(void) fprintf(p, "%s\n", dom->authshare);
-		(void) fprintf(p, "%s\n", dom->authfile);
-		(void) fprintf(p, "%s\n", user);
-		/* the password can contain special characters */
-		print_esc(p, pass);
-		(void) fputc('\n', p);
-		(void) fflush(p);
-
-		if (pclose(p) == 0)
-			(void) printf("OK\n");
-		else
-			(void) printf("ERR\n");
+	user = buf;
+	pass = s + 1;
+	domname = NULL;
+
+	if ((s = strchr(user, '\\')) != NULL) {
+	    *s = '\0';
+	    domname = user;
+	    user = s + 1;
+	}
+	/* match domname with linked list */
+	if (domname != NULL && strlen(domname) > 0) {
+	    for (dom = firstdom; dom != NULL; dom = dom->next)
+		if (strcasecmp(dom->sname, domname) == 0)
+		    break;
+	} else
+	    dom = firstdom;
+
+	if (dom == NULL) {
+	    (void) printf("ERR\n");
+	    continue;
+	}
+	if ((p = popen(shcmd, "w")) == NULL) {
+	    (void) printf("ERR\n");
+	    continue;
+	}
+	(void) fprintf(p, "%s\n", dom->name);
+	(void) fprintf(p, "%s\n", dom->passthrough);
+	(void) fprintf(p, "%s\n", dom->nmbaddr);
+	(void) fprintf(p, "%d\n", dom->nmbcast);
+	(void) fprintf(p, "%s\n", dom->authshare);
+	(void) fprintf(p, "%s\n", dom->authfile);
+	(void) fprintf(p, "%s\n", user);
+	/* the password can contain special characters */
+	print_esc(p, pass);
+	(void) fputc('\n', p);
+	(void) fflush(p);
+
+	if (pclose(p) == 0)
+	    (void) printf("OK\n");
+	else
+	    (void) printf("ERR\n");
 
-	} /* while (1) */
-	return 0;
+    }				/* while (1) */
+    return 0;
 }
Index: squid/include/Array.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Array.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/include/Array.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/include/Array.h	7 Jan 2001 09:48:28 -0000	1.1.1.1.26.1
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.h,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: Array.h,v 1.1.1.1.26.1 2001/01/07 09:48:28 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -42,8 +42,8 @@
 extern Array *arrayCreate();
 extern void arrayInit(Array * s);
 extern void arrayClean(Array * s);
-extern void arrayDestroy(Array *s);
-extern void arrayAppend(Array *s, void *obj);
+extern void arrayDestroy(Array * s);
+extern void arrayAppend(Array * s, void *obj);
 extern void arrayPreAppend(Array * s, int app_count);
 
 
Index: squid/include/Stack.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Stack.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/include/Stack.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/include/Stack.h	7 Jan 2001 09:48:28 -0000	1.1.1.1.26.1
@@ -1,5 +1,5 @@
 /*
- * $Id: Stack.h,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: Stack.h,v 1.1.1.1.26.1 2001/01/07 09:48:28 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -38,9 +38,9 @@
 #define stackInit arrayInit
 #define stackClean arrayClean
 #define stackDestroy arrayDestroy
-extern void *stackPop(Stack *s);
+extern void *stackPop(Stack * s);
 #define stackPush arrayAppend
 #define stackPrePush arrayPreAppend
-extern void *stackTop(Stack *s);
+extern void *stackTop(Stack * s);
 
 #endif /* ndef _STACK_H_ */
Index: squid/include/asn1.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/asn1.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/include/asn1.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/include/asn1.h	7 Jan 2001 09:48:28 -0000	1.1.1.1.26.1
@@ -28,7 +28,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: asn1.h,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: asn1.h,v 1.1.1.1.26.1 2001/01/07 09:48:28 hno Exp $
  * 
  **********************************************************************/
 
@@ -96,6 +96,6 @@
 
 #ifdef __cplusplus
 }
-#endif
 
+#endif
 #endif				/* _SNMP_ASN1_H_ */
Index: squid/include/ntlmauth.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/ntlmauth.h,v
retrieving revision 1.1.4.2
retrieving revision 1.1.4.3
diff -u -r1.1.4.2 -r1.1.4.3
--- squid/include/ntlmauth.h	7 Jan 2001 07:27:13 -0000	1.1.4.2
+++ squid/include/ntlmauth.h	7 Jan 2001 09:48:28 -0000	1.1.4.3
@@ -29,7 +29,7 @@
 #ifndef _NTLMAUTH_H_
 #define _NTLMAUTH_H_
 
-#include <sys/types.h> /* for *int32_t */                                     
+#include <sys/types.h>		/* for *int32_t */
 
 /* All of this cruft is little endian */
 #ifdef WORDS_BIGENDIAN
@@ -41,8 +41,8 @@
 #endif
 
 /* Used internally. Microsoft seems to think this is right, I believe them.
-	 Right. */
-#define MAX_FIELD_LENGTH 300    /* max length of an NTLMSSP field */
+ * Right. */
+#define MAX_FIELD_LENGTH 300	/* max length of an NTLMSSP field */
 
 
 /* Here start the NTLMSSP definitions */
@@ -81,67 +81,67 @@
 
 
 /* String header. String data resides at the end of the request */
-typedef struct _strhdr{
-	int16_t len;		/* Length in bytes */
-	int16_t maxlen;		/* Allocated space in bytes */
-	int32_t offset;		/* Offset from start of request */
+typedef struct _strhdr {
+    int16_t len;		/* Length in bytes */
+    int16_t maxlen;		/* Allocated space in bytes */
+    int32_t offset;		/* Offset from start of request */
 } strhdr;
 
 /* We use this to keep data/lenght couples. Only used internally. */
-typedef struct _lstring{
-	int32_t l;										/* length, -1 if empty */
-	char *str;										/* the string. NULL if not initialized */
+typedef struct _lstring {
+    int32_t l;			/* length, -1 if empty */
+    char *str;			/* the string. NULL if not initialized */
 } lstring;
 
 /* This is an header common to all signatures, it's used to discriminate
-	 among the different signature types. */
+ * among the different signature types. */
 typedef struct _ntlmhdr {
-	char signature[8]; /* "NTLMSSP" */
-	int32_t type;		/* LSWAP(0x1) */
+    char signature[8];		/* "NTLMSSP" */
+    int32_t type;		/* LSWAP(0x1) */
 } ntlmhdr;
 
 /* Negotiation request sent by client */
 typedef struct _ntlm_negotiate {
-	char signature[8]; /* "NTLMSSP" */
-	int32_t type;		/* LSWAP(0x1) */
-	ntlmhdr hdr;		/* NTLM header */
-	u_int32_t flags;		/* Request flags */
-	strhdr	domain;		/* Domain we wish to authenticate in */
-	strhdr	workstation;	/* Client workstation name */
-	char	payload[256];	/* String data */
+    char signature[8];		/* "NTLMSSP" */
+    int32_t type;		/* LSWAP(0x1) */
+    ntlmhdr hdr;		/* NTLM header */
+    u_int32_t flags;		/* Request flags */
+    strhdr domain;		/* Domain we wish to authenticate in */
+    strhdr workstation;		/* Client workstation name */
+    char payload[256];		/* String data */
 } ntlm_negotiate;
 
 /* Challenge request sent by server. */
 typedef struct _ntlm_challenge {
-	char signature[8]; /* "NTLMSSP" */
-	int32_t type;		/* LSWAP(0x2) */
-	strhdr	target;		/* Authentication target (domain/server ...) */
-	u_int32_t flags;		/* Request flags */
-	u_char	challenge[NONCE_LEN];	/* Challenge string */
-	u_int32_t context_low; /* LS part of the server context handle */
-	u_int32_t context_high; /* MS part of the server context handle */
-	char	payload[256];	/* String data */
+    char signature[8];		/* "NTLMSSP" */
+    int32_t type;		/* LSWAP(0x2) */
+    strhdr target;		/* Authentication target (domain/server ...) */
+    u_int32_t flags;		/* Request flags */
+    u_char challenge[NONCE_LEN];	/* Challenge string */
+    u_int32_t context_low;	/* LS part of the server context handle */
+    u_int32_t context_high;	/* MS part of the server context handle */
+    char payload[256];		/* String data */
 } ntlm_challenge;
 
 /* Authentication request sent by client in response to challenge */
 typedef struct _ntlm_authenticate {
-	char signature[8]; /* "NTLMSSP" */
-	int32_t type;		/* LSWAP(0x3) */
-	strhdr	lmresponse;	/* LANMAN challenge response */
-	strhdr	ntresponse;	/* NT challenge response */
-	strhdr	domain;		/* Domain to authenticate against */
-	strhdr	user;		/* Username */
-	strhdr	workstation;	/* Workstation name */
-	strhdr	sessionkey;	/* Session key for server's use */
-	int32_t flags;		/* Request flags */
-	char	payload[256*6];	/* String data */
+    char signature[8];		/* "NTLMSSP" */
+    int32_t type;		/* LSWAP(0x3) */
+    strhdr lmresponse;		/* LANMAN challenge response */
+    strhdr ntresponse;		/* NT challenge response */
+    strhdr domain;		/* Domain to authenticate against */
+    strhdr user;		/* Username */
+    strhdr workstation;		/* Workstation name */
+    strhdr sessionkey;		/* Session key for server's use */
+    int32_t flags;		/* Request flags */
+    char payload[256 * 6];	/* String data */
 } ntlm_authenticate;
 
-const char* ntlm_make_challenge(char *domain, char *domain_controller,
-													char *challenge_nonce, int challenge_nonce_len);
-lstring ntlm_fetch_string (char * packet, int32_t length, strhdr *str);
-void ntlm_add_to_payload (char *payload, int *payload_length,
-													strhdr *hdr, char *toadd,
-													int toadd_length, int base_offset);
+const char *ntlm_make_challenge(char *domain, char *domain_controller,
+    char *challenge_nonce, int challenge_nonce_len);
+lstring ntlm_fetch_string(char *packet, int32_t length, strhdr * str);
+void ntlm_add_to_payload(char *payload, int *payload_length,
+    strhdr * hdr, char *toadd,
+    int toadd_length, int base_offset);
 
 #endif /* _NTLMAUTH_H_ */
Index: squid/include/radix.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/radix.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/include/radix.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/include/radix.h	7 Jan 2001 09:48:28 -0000	1.1.1.1.26.1
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.h,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: radix.h,v 1.1.1.1.26.1 2001/01/07 09:48:28 hno Exp $
  */
 
 /*
@@ -52,14 +52,14 @@
     struct radix_node *rn_p;	/* parent */
     short rn_b;			/* bit offset; -1-index(netmask) */
     char rn_bmask;		/* node: mask for bit test */
-    unsigned char rn_flags;		/* enumerated next */
+    unsigned char rn_flags;	/* enumerated next */
 #define RNF_NORMAL	1	/* leaf contains normal route */
 #define RNF_ROOT	2	/* leaf is root leaf for tree */
 #define RNF_ACTIVE	4	/* This node is alive (for rtfree) */
     union {
 	struct {		/* leaf only data: */
-	    char * rn_Key;	/* object of search */
-	    char * rn_Mask;	/* netmask, if present */
+	    char *rn_Key;	/* object of search */
+	    char *rn_Mask;	/* netmask, if present */
 	    struct radix_node *rn_Dupedkey;
 	} rn_leaf;
 	struct {		/* node only data: */
@@ -89,10 +89,10 @@
 extern struct radix_mask {
     short rm_b;			/* bit offset; -1-index(netmask) */
     char rm_unused;		/* cf. rn_bmask */
-    unsigned char rm_flags;		/* cf. rn_flags */
+    unsigned char rm_flags;	/* cf. rn_flags */
     struct radix_mask *rm_mklist;	/* more masks to try */
     union {
-	char * rmu_mask;	/* the mask */
+	char *rmu_mask;		/* the mask */
 	struct radix_node *rmu_leaf;	/* for normal routes */
     } rm_rmu;
     int rm_refs;		/* # of references to this struct */
Index: squid/include/snmp_client.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_client.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/include/snmp_client.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/include/snmp_client.h	7 Jan 2001 09:48:28 -0000	1.1.1.1.26.1
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_client.h,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: snmp_client.h,v 1.1.1.1.26.1 2001/01/07 09:48:28 hno Exp $
  */
 
 #ifndef _SNMP_CLIENT_H_
@@ -30,7 +30,7 @@
 SOFTWARE.
 ******************************************************************/
 struct synch_state {
-    int	waiting;
+    int waiting;
     int status;
 /* status codes */
 #define STAT_SUCCESS	0
@@ -44,22 +44,21 @@
 extern "C" {
 #endif
 
-extern struct synch_state snmp_synch_state;
+    extern struct synch_state snmp_synch_state;
 
 /* Synchronize Input with Agent */
-int  snmp_synch_input(int, struct snmp_session *, int,
-		     struct snmp_pdu *, void *);
+    int snmp_synch_input(int, struct snmp_session *, int,
+	struct snmp_pdu *, void *);
 
 /* Synchronize Response with Agent */
-int  snmp_synch_response(struct snmp_session *, struct snmp_pdu *, 
-			struct snmp_pdu **);
+    int snmp_synch_response(struct snmp_session *, struct snmp_pdu *,
+	struct snmp_pdu **);
 
 /* Synchronize Setup */
-void snmp_synch_setup(struct snmp_session *);
+    void snmp_synch_setup(struct snmp_session *);
 
 #ifdef __cplusplus
 }
-#endif
-
-#endif /* _SNMP_CLIENT_H_ */
 
+#endif
+#endif				/* _SNMP_CLIENT_H_ */
Index: squid/include/snmp_pdu.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_pdu.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/include/snmp_pdu.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/include/snmp_pdu.h	7 Jan 2001 09:48:28 -0000	1.1.1.1.26.1
@@ -27,7 +27,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_pdu.h,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: snmp_pdu.h,v 1.1.1.1.26.1 2001/01/07 09:48:28 hno Exp $
  * 
  **********************************************************************/
 
@@ -79,11 +79,11 @@
 }
 
 #endif				/*
-				 * * RFC 1905: Protocol Operations for SNMPv2
-				 * *
-				 * * RFC 1157: A Simple Network Management Protocol (SNMP)
-				 * *
-				 * * PDU Types
+				 * * * * RFC 1905: Protocol Operations for SNMPv2
+				 * * * *
+				 * * * * RFC 1157: A Simple Network Management Protocol (SNMP)
+				 * * * *
+				 * * * * PDU Types
 				 */
 #define SNMP_PDU_GET	    (ASN_CONTEXT | ASN_CONSTRUCTOR | 0x0)
 #define SNMP_PDU_GETNEXT    (ASN_CONTEXT | ASN_CONSTRUCTOR | 0x1)
@@ -99,11 +99,11 @@
 #define SNMP_DEFAULT_ERRINDEX	    -1
 #define SNMP_DEFAULT_ADDRESS	    0
 #define SNMP_DEFAULT_REQID	    0	/*
-					 * * RFC 1907: Management Information Base for SNMPv2
-					 * *
-					 * * RFC 1157: A Simple Network Management Protocol (SNMP)
-					 * *
-					 * * Trap Types
+					 * * * * RFC 1907: Management Information Base for SNMPv2
+					 * * * *
+					 * * * * RFC 1157: A Simple Network Management Protocol (SNMP)
+					 * * * *
+					 * * * * Trap Types
 					 */
 #define SNMP_TRAP_COLDSTART             (0x0)
 #define SNMP_TRAP_WARMSTART             (0x1)
Index: squid/include/snmp_vars.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_vars.h,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.22.1
diff -u -r1.1.1.2 -r1.1.1.2.22.1
--- squid/include/snmp_vars.h	26 Jan 2000 03:25:00 -0000	1.1.1.2
+++ squid/include/snmp_vars.h	7 Jan 2001 09:48:28 -0000	1.1.1.2.22.1
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_vars.h,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
+ * $Id: snmp_vars.h,v 1.1.1.2.22.1 2001/01/07 09:48:28 hno Exp $
  * 
  **********************************************************************/
 
@@ -59,9 +59,7 @@
 }
 
 #endif
-#define MAX_NAME_LEN	64	/* number of subid's in a objid *//*      *RFC 1902:Structure of Management Information for SNMPv2      *
-      *Defined Types
-*
+#define MAX_NAME_LEN	64	/* number of subid's in a objid *//*      *RFC 1902:Structure of Management Information for SNMPv2      *      *Defined Types      *
       */
 #define SMI_INTEGER     ASN_INTEGER
 #define SMI_STRING      ASN_OCTET_STR
Index: squid/lib/GNUregex.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/GNUregex.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.26.1
diff -u -r1.1.1.1 -r1.1.1.1.26.1
--- squid/lib/GNUregex.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/GNUregex.c	7 Jan 2001 09:48:28 -0000	1.1.1.1.26.1
@@ -1,5 +1,6 @@
+
 /*
- * $Id: GNUregex.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: GNUregex.c,v 1.1.1.1.26.1 2001/01/07 09:48:28 hno Exp $
  */
 
 /* Extended regular expression matching and search library,
@@ -1576,7 +1577,6 @@
 		    else
 			return REG_ERPAREN;
 		}
-
 	      handle_close:
 		if (fixup_alt_jump) {	/* Push a dummy failure point at the end of the
 					 * alternative for a possible future
@@ -1595,7 +1595,6 @@
 		    else
 			return REG_ERPAREN;
 		}
-
 		/* Since we just checked for an empty stack above, this
 		 * ``can't happen''.  */
 		assert(compile_stack.avail != 0);
